%define group System/Configuration/Packaging
BuildRequires: gtk+-devel 

Name: gtkdialogs
Version: 1.0
Release: 1mdk
Source: gtkdialogs.tar.bz2
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}
Summary: Ready-to-use gtk+ dialog boxes
Requires: gtk+
Provides: gchooser gmessage xtest
Group: %{group}

%description
Ready-to-use gtk+ dialog boxes:
- xtest lets you test if X is running or not
- gmessage show a message and some buttons, it returns with the number of the
  pressed button
- gchooser presents a list of entries from which the user can choose

%prep
%setup -n %{name} -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xtest
%{_prefix}/X11R6/bin/gmessage
%{_prefix}/X11R6/bin/gchooser

%changelog
* Mon Aug 07 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- very first release as a standalone package

